aboutsummaryrefslogtreecommitdiff
path: root/i18n/fr_FR/www/publish.sh
diff options
context:
space:
mode:
authorLibreboot Contributor <contributor@libreboot.org>2020-03-18 17:20:14 +0100
committerLibreboot Contributor <contributor@libreboot.org>2020-03-18 17:20:27 +0100
commit0f6ea1c9e0a25a9b7546f96f27cef8841f0d09b5 (patch)
treea28b9403123dd6204eb2dd8cb44eada12c169f4b /i18n/fr_FR/www/publish.sh
parent6e5bdd1271059a9c61c80b21001fd3d14ff25045 (diff)
downloadlibrebootfr-0f6ea1c9e0a25a9b7546f96f27cef8841f0d09b5.tar.gz
librebootfr-0f6ea1c9e0a25a9b7546f96f27cef8841f0d09b5.zip
Creation of i18n folder containing translations of the libreboot project. Added french one, not finished.
Diffstat (limited to 'i18n/fr_FR/www/publish.sh')
-rw-r--r--i18n/fr_FR/www/publish.sh78
1 files changed, 78 insertions, 0 deletions
diff --git a/i18n/fr_FR/www/publish.sh b/i18n/fr_FR/www/publish.sh
new file mode 100644
index 00000000..e9d9f65d
--- /dev/null
+++ b/i18n/fr_FR/www/publish.sh
@@ -0,0 +1,78 @@
+#!/usr/bin/env bash
+#
+# Copyright (C) 2017 Alyssa Rosenzweig <alyssa@rosenzweig.io>
+# Copyright (C) 2017 Leah Rowe <info@minifree.org>
+# Copyright (C) 2017 Michael Reed <michael@michaelreed.io>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -e
+
+FILE=${1%.md}
+TMPFILE=$(mktemp -t libreboot_www.XXXXXXXXXX)
+
+cat "$1" > "$TMPFILE"
+
+OPTS="-T Libreboot"
+
+if [[ $FILE == "index" || $FILE == "./index" ]]; then
+ OPTS="--css /headercenter.css"
+else
+ if [[ $FILE == *suppliers ]]
+ then
+ RETURN=""
+ else
+ if [[ $FILE == *index ]]
+ then
+ DEST="../"
+ else
+ DEST="./"
+ fi
+
+ RETURN="<strong><a href='/git.html#editer-le-site-web-et-la-documentation-facon-wiki'>Éditer cette page</a></strong> -- <a href='$DEST'>Retour à l'index précédent </a>"
+ OPTS="-T Libreboot"
+ fi
+fi
+
+if [[ $FILE = *suppliers ]]; then
+ printf '\n%s\n' "<strong><a href=\"/git.html#editing-the-website-and-documentation-wiki-style\">Éditer cette page</a></strong> -- <a href=\"../\">Retour à la page précédente</a>" >> "$TMPFILE"
+fi
+
+if [[ $FILE != "./docs/fdl-1.3" && $FILE != "docs/fdl-1.3" &&
+ $FILE != "./conduct" && $FILE != "conduct" ]]; then
+ cat footer.md >> "$TMPFILE"
+fi
+
+# change out .md -> .html
+sed -i -e 's/\.md\(#[a-zA-Z0-9_-]*\)\?\([])]*\)/.html\1\2/g' "$TMPFILE"
+
+# work around issue #2872
+TOC=$(grep -q "^x-toc-enable: true$" "$TMPFILE" && printf '%s\n' "--toc --toc-depth=2") || TOC=""
+
+# work around heterogenous pandoc versions
+SMART=$(pandoc -v | grep -q '2\.0' || printf '%s\n' "--smart") || SMART=""
+
+# chuck through pandoc
+#
+# $OPTS must not be quoted, otherwise pandoc interprets '--css /headercenter.css'
+# as one argument, when it is actually two.
+pandoc $TOC $SMART "$TMPFILE" -s --css /global.css $OPTS \
+ --template template.html --metadata return="$RETURN" > "$FILE.html"
+
+# generate section title anchors as [link]
+sed -i -e 's_^<h\([123]\) id="\(.*\)">\(.*\)</h\1>_<div class="h"><h\1 id="\2">\3</h\1><a aria-hidden="true" href="#\2">[link]</a></div>_' "$FILE.html"
+
+# clean up temporary file
+rm -f "$TMPFILE"